Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0016816
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2011-04-14 20:152011-06-15 15:11
ReporterpsarobeView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0RC7
StatusclosedFix in branchpiFixed in SCM revisiond1cffe03d0a0
ProjectionnoneETAnoneTarget Version3.0RC7
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0016816: NPE when installing a commercial module in a community instance

DescriptionSee attach
Steps To Reproduce1. Being in a community instance
2. Login as Openbravo/openbravo
3. Change the role to system admin
4. Go to module management console
5. Move to add modules
6. Search for ofx
7. Click install module

You will get the NPE. This is wrong
TagsNo tags attached.
Attached Filespng file icon error.PNG [^] (50,853 bytes) 2011-04-14 20:15

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00176493.0RC7 closedalostale NPE when installing a commercial module in a community instance 
has duplicate defect 00173613.0MP2 closedalostale Null Pointer Exception error when trying to install commercial module in deactivate instance 

-  Notes
(0036528)
shuehner (administrator)
2011-05-06 18:03

Adding stacktrace of the error:

a3196480 1050948 [http-8080-6] ERROR org.openbravo.erpCommon.ad_forms.ModuleManagement -
java.lang.NullPointerException
    at org.openbravo.erpCommon.obps.ActivationKey.getProperty(ActivationKey.java:736)
    at org.openbravo.erpCommon.obps.ActivationKey.isModuleSubscribed(ActivationKey.java:892)
    at org.openbravo.erpCommon.ad_forms.ModuleManagement.getNotAllowedModules(ModuleManagement.java:1150)
    at org.openbravo.erpCommon.ad_forms.ModuleManagement.checkCommercialModules(ModuleManagement.java:1018)
    at org.openbravo.erpCommon.ad_forms.ModuleManagement.printPageInstall1(ModuleManagement.java:768)
    at org.openbravo.erpCommon.ad_forms.ModuleManagement.doPost(ModuleManagement.java:132)
(0036548)
hgbot (developer)
2011-05-09 10:47

Repository: erp/devel/pi
Changeset: d1cffe03d0a06c04461314d25079900bcb974f6e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon May 09 10:46:15 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d1cffe03d0a06c04461314d25079900bcb974f6e [^]

fixed bug 16816: NPE when installing a commercial module in a community instance

---
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
---
(0036857)
hudsonbot (developer)
2011-05-12 13:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-04-14 20:15 psarobe New Issue
2011-04-14 20:15 psarobe Assigned To => alostale
2011-04-14 20:15 psarobe File Added: error.PNG
2011-04-14 20:15 psarobe Modules => Core
2011-04-14 20:16 psarobe Status new => scheduled
2011-04-14 20:16 psarobe fix_in_branch => pi
2011-05-06 18:03 shuehner Note Added: 0036528
2011-05-09 10:47 hgbot Checkin
2011-05-09 10:47 hgbot Note Added: 0036548
2011-05-09 10:47 hgbot Status scheduled => resolved
2011-05-09 10:47 hgbot Resolution open => fixed
2011-05-09 10:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d1cffe03d0a06c04461314d25079900bcb974f6e [^]
2011-05-12 11:23 marvintm Status resolved => closed
2011-05-12 13:31 hudsonbot Checkin
2011-05-12 13:31 hudsonbot Note Added: 0036857
2011-06-15 15:10 alostale Status closed => new
2011-06-15 15:10 alostale Resolution fixed => open
2011-06-15 15:10 alostale Status new => scheduled
2011-06-15 15:11 alostale Status scheduled => resolved
2011-06-15 15:11 alostale Resolution open => fixed
2011-06-15 15:11 alostale Status resolved => closed
2011-06-15 15:11 alostale Fixed in Version => 3.0RC7
2011-07-21 17:02 alostale Relationship added has duplicate 0017361


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker